version: '3.3'
name: devops

services:
  tibero:
    build:
      context: .             # Dockerfile이 위치한 디렉토리
      dockerfile: Dockerfile # Dockerfile 이름
    container_name: tibero
    ports:
      - "8629:8629"
    hostname: localhost
    privileged: true  # --privileged 옵션을 여기에서 설정
    volumes:
      - ./:/usr/local
      - ./license.xml:/tibero7/license/license.xml
      - ./start-tibero.sh:/usr/local/start-tibero.sh
    stdin_open: true
    tty: true
    command: "/usr/local/start-tibero.sh"
